Bug 866900 - 3.1.z - Cannot find /etc/pki/vdsm/certs/cacert.pem exception occurrs when rhevm hostname cannot be resolved.
3.1.z - Cannot find /etc/pki/vdsm/certs/cacert.pem exception occurrs when rhe...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Douglas Schilling Landgraf
Haim
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 05:46 EDT by chencong
Modified: 2014-01-12 19:54 EST (History)
18 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-38.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-26 12:29:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (114.24 KB, application/x-gzip)
2012-10-16 05:46 EDT, chencong
no flags Details

  None (edit)
Description chencong 2012-10-16 05:46:23 EDT
Created attachment 628064 [details]
screenshot

Description of problem:
If the rhevm server cannot be resolved, apply it will try compatible port 443 or 8443, and after tried it several times, an exception about /etc/pki/vdsm/certs/cacert.pem cannot be found will occur.

Version-Release number of selected component (if applicable):
RHEV-Hypervisor 6.3-20121015.0.rhev31.el6_3
RHEV Hypervisor 6.3-20121005.0.rhev31.el6_3

How reproducible:
100%

Steps to Reproduce:
1. Configure network and go to RHEV-M.
2. Enter the rhevm server hostname which cannot be resolved.

Actual results:
it will try compatible port 443 or 8443, and after several times try, exception about /etc/pki/vdsm/certs/cacert.pem cannot be found occurrs.

Expected results:
If the rhevm hostname cannot be resolved, it should prompt "the hostname cannot be resolved" instead try compatible port 443 or 8443, and no exception occurs after try more times.
Comment 2 Mike Burns 2012-10-16 07:30:14 EDT
The rhevm registration screen is part of vdsm-reg, not ovirt-node.  Moving this bug to vdsm

Note You need to log in before you can comment on or make changes to this bug.